package com.zhiqiyun.open.mvc.manager.params;

import com.zhiqiyun.open.utils.validation.StrongPassword;

import javax.validation.constraints.NotBlank;

/**
 * @author jtoms.shen
 * @version 1.0
 * @date 2018/12/21 11:35
 */
public class ChangePasswordParam {

    @NotBlank(message = "请输入原始密码")
    private String loginPassword;

    @NotBlank(message = "请输入新密码")
    @StrongPassword
    private String newPassword;

    @NotBlank(message = "请再次输入新密码")
    @StrongPassword
    private String confirmNewPassword;

    public String getLoginPassword() {
        return loginPassword;
    }

    public void setLoginPassword(String loginPassword) {
        this.loginPassword = loginPassword;
    }

    public String getNewPassword() {
        return newPassword;
    }

    public void setNewPassword(String newPassword) {
        this.newPassword = newPassword;
    }

    public String getConfirmNewPassword() {
        return confirmNewPassword;
    }

    public void setConfirmNewPassword(String confirmNewPassword) {
        this.confirmNewPassword = confirmNewPassword;
    }
}
